# Uses of Class
org.apache.zookeeper.cli.CliException

Packages that use CliException
Package
Description
org.apache.zookeeper
org.apache.zookeeper.cli

## Uses of CliException in org.apache.zookeeper

Methods in org.apache.zookeeper that throw CliException
Modifier and Type
Method
Description
`protected boolean`
ZooKeeperMain.`processZKCmd(org.apache.zookeeper.ZooKeeperMain.MyCommandOptions co)`

## Uses of CliException in org.apache.zookeeper.cli

Subclasses of CliException in org.apache.zookeeper.cli
Modifier and Type
Class
Description
`class`
`CliParseException`
`class`
`CliWrapperException`
`class`
`CommandNotFoundException`
`class`
`MalformedCommandException`
`class`
`MalformedPathException`
Methods in org.apache.zookeeper.cli that throw CliException
Modifier and Type
Method
Description
`boolean`
AddAuthCommand.`exec()`
`boolean`
AddWatchCommand.`exec()`
`abstract boolean`
CliCommand.`exec()`
`boolean`
CloseCommand.`exec()`
`boolean`
CreateCommand.`exec()`
`boolean`
DeleteAllCommand.`exec()`
`boolean`
DeleteCommand.`exec()`
`boolean`
DelQuotaCommand.`exec()`
`boolean`
GetAclCommand.`exec()`
`boolean`
GetAllChildrenNumberCommand.`exec()`
`boolean`
GetCommand.`exec()`
`boolean`
GetConfigCommand.`exec()`
`boolean`
GetEphemeralsCommand.`exec()`
`boolean`
ListQuotaCommand.`exec()`
`boolean`
LsCommand.`exec()`
`boolean`
ReconfigCommand.`exec()`
`boolean`
SetAclCommand.`exec()`
`boolean`
SetCommand.`exec()`
`boolean`
SetQuotaCommand.`exec()`
`boolean`
StatCommand.`exec()`
`boolean`
SyncCommand.`exec()`
`boolean`
VersionCommand.`exec()`
`boolean`
WhoAmICommand.`exec()`